GET api/pcconfigapi/pcconfigs/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "f6f74645-a4d9-4d89-b007-55ab3c4cca94",
"key": "264c66a0-9c1e-466d-8459-70739a815206",
"pc_id": "e3336111-43dd-487c-922d-6ad43ac8be55",
"value": "sample string 3"
},
{
"active": true,
"id": "f6f74645-a4d9-4d89-b007-55ab3c4cca94",
"key": "264c66a0-9c1e-466d-8459-70739a815206",
"pc_id": "e3336111-43dd-487c-922d-6ad43ac8be55",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>f6f74645-a4d9-4d89-b007-55ab3c4cca94</id>
<key>264c66a0-9c1e-466d-8459-70739a815206</key>
<pc_id>e3336111-43dd-487c-922d-6ad43ac8be55</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>f6f74645-a4d9-4d89-b007-55ab3c4cca94</id>
<key>264c66a0-9c1e-466d-8459-70739a815206</key>
<pc_id>e3336111-43dd-487c-922d-6ad43ac8be55</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>